import 'package:design_system/design_system.dart';
import 'package:flutter/material.dart';

/// A widget for displaying a section title and subtitle
class SectionTitleSubtitle extends StatelessWidget {
  /// The title of the section
  final String title;

  /// The subtitle of the section
  final String subtitle;

  const SectionTitleSubtitle({
    super.key,
    required this.title,
    required this.subtitle,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      spacing: UiConstants.space1,
      children: <Widget>[
        // Title
        Text(title, style: UiTypography.headline1m),

        // Subtitle
        Text(subtitle, style: UiTypography.body2r.textSecondary),
      ],
    );
  }
}
